Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class MuleContextNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.MuleContextNotification

All Implemented Interfaces:
  Serializable, MuleContextAware, BlockingServerEvent

    public class MuleContextNotification

extends ServerNotification
implements BlockingServerEvent

`MuleContextNotification` is fired when an event such as the mule context starting occurs. The payload of this event will always be a reference to the muleContext.

See Also:
  Serialized Form

Field Summary
`static int` | `CONTEXT_DISPOSED`
`static int` | `CONTEXT_DISPOSING`
`static int` | `CONTEXT_INITIALISED`
`static int` | `CONTEXT_INITIALISING`
`static int` | `CONTEXT_STARTED`
`static int` | `CONTEXT_STARTING`
`static int` | `CONTEXT_STOPPED`
`static int` | `CONTEXT_STOPPING`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, muleContext, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_TRACE, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MuleContextNotification(MuleContext context, int action)`
`MuleContextNotification(MuleContext context, String action)`

Method Summary
`String` | `getClusterId()`
`String` | `getDomain()`
`protected String` | `getPayloadToString()`
`String` | `toString()`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`cloneMessage, generateId, getAction, getActionId, getActionName, getActionName, getResourceIdentifier, getServerId, getTimestamp, getType, isResourceIdentifierAnUri, registerAction, setMuleContext`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTEXT_INITIALISING

    public static final int CONTEXT_INITIALISING

See Also:
  Constant Field Values

### CONTEXT_INITIALISED

    public static final int CONTEXT_INITIALISED

See Also:
  Constant Field Values

### CONTEXT_STARTING

    public static final int CONTEXT_STARTING

See Also:
  Constant Field Values

### CONTEXT_STARTED

    public static final int CONTEXT_STARTED

See Also:
  Constant Field Values

### CONTEXT_STOPPING

    public static final int CONTEXT_STOPPING

See Also:
  Constant Field Values

### CONTEXT_STOPPED

    public static final int CONTEXT_STOPPED

See Also:
  Constant Field Values

### CONTEXT_DISPOSING

    public static final int CONTEXT_DISPOSING

See Also:
  Constant Field Values

### CONTEXT_DISPOSED

    public static final int CONTEXT_DISPOSED

See Also:
  Constant Field Values

Constructor Detail

### MuleContextNotification

    public MuleContextNotification(MuleContext context,
                                   String action)

### MuleContextNotification

    public MuleContextNotification(MuleContext context,
                                   int action)

Method Detail

### getClusterId

    public String getClusterId()

### getDomain

    public String getDomain()

### getPayloadToString

    protected String getPayloadToString()

  Overrides:
    `getPayloadToString` in class `ServerNotification`

### toString

    public String toString()

  Overrides:
    `toString` in class `ServerNotification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.